// This step should not normally be used in your script. Consult the inline help for details.
podTemplate(
    label: 'questcode',
    namespace: 'devops',
    name: 'questcode', 
    containers: [
        containerTemplate(args: 'cat', name: 'docker-container', command: '/bin/sh -c', image: 'docker', ttyEnabled: true)
    ],
    volumes: [
      hostPathVolume(mountPath: '/var/run/docker.sock', hostPath: '/var/run/docker.sock')
    ]
)
{
   node('questcode') {
    
        stage('Build') {
        echo 'Iniciando Clone Repositório'
        sh label: '', script: 'ls -ltra'
        }
        
        stage('Package') {
            container('docker-container') {
             echo 'Iniciando Build com npm'
             sh 'docker images'
             checkout([$class: 'GitSCM', branches: [[name: '*/master']], doGenerateSubmoduleConfigurations: false, extensions: [], submoduleCfg: [], userRemoteConfigs: [[credentialsId: 'gitlab', url: 'git@gitlab.com:joao.psouza/k8s-missao-devops.git']]])
              sh label: '', script: 'ls -ltra'
            }
       
        }
        
        stage('Deploy') {
        echo 'Iniciando Deploy com Helm'
        sh label: '', script: 'ls -ltra'
        }

    }
}